summaryrefslogtreecommitdiff
path: root/tests/01raid6integ
diff options
context:
space:
mode:
Diffstat (limited to 'tests/01raid6integ')
-rw-r--r--tests/01raid6integ4
1 files changed, 2 insertions, 2 deletions
diff --git a/tests/01raid6integ b/tests/01raid6integ
index c6fcdae6..12f4d81b 100644
--- a/tests/01raid6integ
+++ b/tests/01raid6integ
@@ -47,10 +47,10 @@ do
exit 1
fi
mdadm $md0 -a $first
- check wait
+ while ! (check state 'U*_U*'); do check wait; sleep 0.2; done
done
mdadm $md0 -a $second
- check wait
+ while ! (check state 'U*'); do check wait; sleep 0.2; done
totest="$totest $second"
done
mdadm -S $md0